package com.realnet.vpspack.Services;
import java.util.*;
import com.realnet.vpspack.Repository.Visa_processingRepository;
import com.realnet.vpspack.Entity.Visa_processing;

import com.realnet.vpspack.Entity.Visa_processing_ListFilter1;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
	import org.springframework.stereotype.Service;

@Service
 public class Visa_processing_ListFilter1Service {
@Autowired
private Visa_processingRepository Repository;




 public   List<Visa_processing_ListFilter1>   getlistbuilder() {
	List<Visa_processing> list= Repository.findAll();
		ArrayList<Visa_processing_ListFilter1> l = new ArrayList<>();
		for (Visa_processing data : list) {
boolean isactive = data.isActive();

				if (isactive) {{	
Visa_processing_ListFilter1 dummy = new Visa_processing_ListFilter1();
			dummy.setId(data.getId());
  dummy.setName(data.getName());
	l.add(dummy);
}} 
} 		
return l;}



 public   List<Visa_processing_ListFilter1>   getlistbuilderparam( ) {
	List<Visa_processing> list= Repository.findAll();
		ArrayList<Visa_processing_ListFilter1> l = new ArrayList<>();
		for (Visa_processing data : list) {
boolean isactive = data.isActive();

				if (isactive) {{	
Visa_processing_ListFilter1 dummy = new Visa_processing_ListFilter1();
			dummy.setId(data.getId());
  dummy.setName(data.getName());
	l.add(dummy);
}} 
} 		
return l;}
}